Subject: Re: [PATCH v2 5/6] connect: advertise OS version

From: Junio C Hamano <[email-masked]>
Date: Fri, 17 Jan 2025 15:04:03 -0800

<[email-masked]> writes:

>>So the question is again, do we ever need to use os_version() that is a raw
> string
>>that may require sanitizing?  I do not think of any offhand.
>
> uname(2) is definitely not portable. uname(1) is almost always available,
> but
> there is no guarantee about uname(2). I am not entirely happy having my
> builds break if having to write one between rc0 and rc1 when this rolls. How
> is this being handled? os_version() is also not portable. What if we had
> something that asked for specific elements of the string, by name or id.

Sorry, I fail to see anything in your paragraph that is relevant to
what I said.  Especially os_version() is a function that is
implemented in the patchset, not something you would complain about
being "not portable".